> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/get-started-with-the-2checkout-api/get-started-with-the-2checkout-api/authentication-and-use-cases/upgrade-to-2checkout-api-6.0.md).

# Upgrade to 2Checkout API 6.0

To get a frictionless experience, migrate your 2Checkout API implementation to our newest version - API 6.0. This document features deprecations, updates, and enhancements, guiding how to upgrade your implementation to the latest version of the 2Checkout API.

## New authentication flow

To use the latest 2Checkout API version, you need to update your authentication process. The parameters included in the authentication flow are displayed below.

<table><thead><tr><th width="146.2000732421875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>merchantCode</code></td><td><strong>Required (string)</strong><br>Your merchant identification code. Can be found in your Admin Area, in the <strong>System Setting</strong> section.</td></tr><tr><td><code>date</code></td><td><strong>Required (string)</strong><br>GMT ISO Date format (e.g. 2010-01-01 12:13:14)</td></tr><tr><td><code>hash</code></td><td><strong>Required (object)</strong><br>Calculated HMAC_SHA signature based on <code>merchantCode</code> and <code>date</code>, using your <strong>secret key</strong>. Your secret key can be found in your System settings area.</td></tr><tr><td><code>algo</code></td><td><p><strong>Required (string)</strong><br>Hashing algorithms. </p><p>Accepted values: sha256 / sha3-256</p></td></tr></tbody></table>

### API protocols

The latest 2Checkout version (API 6.0) is available via three API protocols: [JSON-RPC](https://docs.2checkout.com/json-rpc-api-reference/), [SOAP](https://docs.2checkout.com/soap-api-reference/), and [REST](https://docs.2checkout.com/api-reference/). Check the authentication method for each of them below.

<table><thead><tr><th width="199">API Protocol</th><th>Authentication</th></tr></thead><tbody><tr><td><strong>REST</strong></td><td><a href="https://docs.2checkout.com/get-started-with-the-2checkout-api/get-started-with-the-2checkout-api/authentication-and-use-cases/api-authentication.md#authenticating-on-rest-protocol">Login</a></td></tr><tr><td><strong>JSON-RPC</strong></td><td><a href="https://docs.2checkout.com/get-started-with-the-2checkout-api/get-started-with-the-2checkout-api/authentication-and-use-cases/api-authentication.md#authenticating-on-rpc-protocol">Login</a></td></tr><tr><td><strong>SOAP</strong></td><td><a href="https://docs.2checkout.com/get-started-with-the-2checkout-api/get-started-with-the-2checkout-api/authentication-and-use-cases/api-authentication.md#authenticating-on-soap-protocol">Login</a></td></tr></tbody></table>

## 2Checkout API methods status

<table><thead><tr><th width="214.199951171875">2Checkout legacy method</th><th width="158">Status</th><th>2Checkout new API method</th></tr></thead><tbody><tr><td>detail_sale</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/20Order-information-object/Retrieve-an-order/">getOrder</a></td></tr><tr><td>list_sales</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Webhooks/API-Message-Services/Instant-order-search-export-(ISE)/">Instant Search Order Export</a></td></tr><tr><td>refund_invoice</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Webhooks/API-Message-Services/Instant-Refund-Notification-(IRN)/">Instant Refund</a></td></tr><tr><td>refund_lineitem</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Webhooks/API-Message-Services/Instant-Refund-Notification-(IRN)/">Instant Refund</a></td></tr><tr><td>stop_lineitem_recurring</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/30Subscription-renewal/03Disable-recurring-billing/">disableRecurringBilling </a></td></tr><tr><td>reauth</td><td>Deprecated</td><td>N/A</td></tr><tr><td>mark_shipped</td><td>Deprecated</td><td>N/A</td></tr><tr><td>create_comment</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/43Subscription-additional-information/01Assign-additional-information-to-a-subscription/">addSubscriptionAdditionalInformationField </a></td></tr><tr><td>list_products</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/00Product/Retrieve-subscription-plan-product-info/">searchProducts </a></td></tr><tr><td>detail_product</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/00Product/Retrieve-product-info-by-ID/">getProductById </a></td></tr><tr><td>create_product</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/00Product/Add-a-subscription-plan-product/">addProduct </a></td></tr><tr><td>update_product</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/00Product/Update-a-subscription-plan-product/">updateProduct</a></td></tr><tr><td>delete_product</td><td>Deprecated</td><td>N/A</td></tr><tr><td>list_options</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/02Pricing/Retrieve-assigned-price-option-groups/">getAssignedPriceOptionGroups</a> </td></tr><tr><td>detail_option</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/02Pricing/Retrieve-a-price-option-group/">getPriceOptionGroup</a> </td></tr><tr><td>create_option</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/02Pricing/Create-price-option-groups/">addPriceOptionGroup </a></td></tr><tr><td>update_option</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/02Pricing/Update-price-options/">updatePriceOptionGroup </a></td></tr><tr><td>delete_option</td><td>Deprecated</td><td>N/A</td></tr><tr><td>list_coupons</td><td>Updated, but for promotions. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/09Promotions/Retrieve-information-on-promotions/">searchPromotions </a></td></tr><tr><td>detail_coupon</td><td>Updated, but for promotions. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/09Promotions/Retrieve-a-promotion/">getPromotion</a> </td></tr><tr><td>update_coupon</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/09Promotions/Update-promotion-coupon/">updatePromotionCoupon </a></td></tr><tr><td>delete_coupon</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/09Promotions/Remove-promotion-coupon/">deletePromotionCoupon </a></td></tr><tr><td>detail_company_info</td><td>Deprecated</td><td>N/A</td></tr><tr><td>detail_contact_info</td><td>Deprecated</td><td>N/A</td></tr><tr><td>detail_pending_payment</td><td>Updated. Use:</td><td><a href="https://verifone.cloud/docs/2checkout/API-Integration/Legacy-API-versions/JSON-RPC_API/API-4.0/Reference/20Order-information-object/Retrieve-an-order/">getOrder</a></td></tr><tr><td>list_payments</td><td>Deprecated</td><td>N/A</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/get-started-with-the-2checkout-api/get-started-with-the-2checkout-api/authentication-and-use-cases/upgrade-to-2checkout-api-6.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
